# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeLine2d Class Reference

This class implements the mapping between classes
Line from StepGeom which describes a line from
Prostep and Line from Geom2d.
.

`#include <StepToGeom_MakeLine2d.hxx>`

Inheritance diagram for StepToGeom_MakeLine2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeLine2d (const Handle(StepGeom_Line)&L)
Standard_EXPORT const Handle_Geom2d_Line & | Value () const

## Private Attributes

Handle_Geom2d_Line | theLine

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeLine2d::StepToGeom_MakeLine2d | ( | const Handle(StepGeom_Line)& | L | ) |

## Member Function Documentation

void StepToGeom_MakeLine2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeLine2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeLine2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom2d_Line& StepToGeom_MakeLine2d::Value | ( |  | ) | const

## Field Documentation

Handle_Geom2d_Line StepToGeom_MakeLine2d::theLine `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeLine2d.hxx